Bug 1126148 - [abrt] soundtracker: _IO_str_chk_overflow(): soundtracker killed by SIGABRT
Summary: [abrt] soundtracker: _IO_str_chk_overflow(): soundtracker killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: soundtracker
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Jones
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5bdd0c29e11d72293e0faacc4d0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 16:10 UTC by backdoor03
Modified: 2015-06-29 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:54:45 UTC


Attachments (Terms of Use)
File: backtrace (71.19 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: core_backtrace (7.19 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: dso_list (2.81 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: environ (1.72 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: maps (12.99 KB, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: open_fds (497 bytes, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details
File: var_log_messages (758 bytes, text/plain)
2014-08-02 16:10 UTC, backdoor03
no flags Details

Description backdoor03 2014-08-02 16:10:02 UTC
Version-Release number of selected component:
soundtracker-0.6.8-18.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/soundtracker
crash_function: _IO_str_chk_overflow
executable:     /usr/bin/soundtracker
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _IO_str_chk_overflow at vsprintf_chk.c:33
 #6 _IO_default_xsputn at genops.c:480
 #7 _IO_vfprintf_internal at vfprintf.c:1666
 #8 ___vsprintf_chk at vsprintf_chk.c:85
 #9 ___sprintf_chk at sprintf_chk.c:31
 #10 sprintf at /usr/include/bits/stdio2.h:33
 #11 prefs_update_estimate at oss-output.c:149
 #12 gtk_handlers_run at gtksignal.c:1917
 #13 gtk_signal_real_emit at gtksignal.c:1477
 #14 gtk_signal_emit at gtksignal.c:552

Potential duplicate: bug 747330

Comment 1 backdoor03 2014-08-02 16:10:06 UTC
Created attachment 923482 [details]
File: backtrace

Comment 2 backdoor03 2014-08-02 16:10:08 UTC
Created attachment 923483 [details]
File: cgroup

Comment 3 backdoor03 2014-08-02 16:10:09 UTC
Created attachment 923484 [details]
File: core_backtrace

Comment 4 backdoor03 2014-08-02 16:10:11 UTC
Created attachment 923485 [details]
File: dso_list

Comment 5 backdoor03 2014-08-02 16:10:12 UTC
Created attachment 923486 [details]
File: environ

Comment 6 backdoor03 2014-08-02 16:10:13 UTC
Created attachment 923487 [details]
File: limits

Comment 7 backdoor03 2014-08-02 16:10:15 UTC
Created attachment 923488 [details]
File: maps

Comment 8 backdoor03 2014-08-02 16:10:16 UTC
Created attachment 923489 [details]
File: open_fds

Comment 9 backdoor03 2014-08-02 16:10:17 UTC
Created attachment 923490 [details]
File: proc_pid_status

Comment 10 backdoor03 2014-08-02 16:10:19 UTC
Created attachment 923491 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:32:56 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:54:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.